#
# spec file for package virt-top
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           virt-top
Version:        1.1.2
Release:        1.3
%{?ocaml_preserve_bytecode}
Summary:        Utility like top(1) for displaying virtualization stats
License:        GPL-2.0+
Group:          System/Management
Url:            http://people.redhat.com/~rjones/virt-top/
Source0:        %name-%version.tar.xz
Patch0:         %name.patch
BuildRequires:  ocaml(ocaml_base_version) >= 4.08
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20240909
BuildRequires:  ocamlfind(calendar)
BuildRequires:  ocamlfind(curses)
BuildRequires:  ocamlfind(dune-configurator)
BuildRequires:  ocamlfind(gettext)
BuildRequires:  ocamlfind(gettext-stub)
BuildRequires:  ocamlfind(libvirt)
BuildRequires:  ocamlfind(str)
BuildRequires:  pkgconfig(libxml-2.0)

%description
virt-top is a 'top(1)'-like utility for showing stats of virtualized
domains.  Many keys and command line options are the same as for
ordinary 'top'.

It uses libvirt so it is capable of showing stats across a variety of
different virtualization systems.

%prep
%autosetup -p1

%build
dune_release_pkgs='virt-top'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list
tee -a %name.files < %name.files.devel

%files -f %name.files
%_bindir/*
%_mandir/man1/*

%changelog
* Mon Mar  3 2025 ohering@suse.de
- Update to version 1.1.2
* Tue Jan 16 2024 ohering@suse.de
- Remove usage of dune.configurator because ocamlfind names which
  contain a dot are not considered valid anymore with dune 3.13
* Fri Mar  3 2023 ohering@suse.de
- Require OCaml 4.8 or later for building
* Mon Apr  4 2022 olaf@aepfle.de
- New upstream version 1.1.1
- Use virt-top.patch to build with dune
* Mon Dec  2 2019 olaf@aepfle.de
- calendar, csv and xml-light are not optional
* Fri Nov  1 2019 olaf@aepfle.de
- Require current dune macros
- Update to version 1.0.9, via _service file
- Remove virt-top-aarch64.patch
- Remove virt-top-no-immutable-warning.patch
- Remove virt-top.bytecode.patch
* Tue May  9 2017 olaf@aepfle.de
- Install also bytecode with virt-top.bytecode.patch (bsc#1031359)
* Wed May  3 2017 olaf@aepfle.de
- Remove usage of ExcludeArch (bsc#1031359)
* Tue Aug 16 2016 mlatimer@suse.com
- Updated source code location and format to match upstream
* Mon May 23 2016 olaf@aepfle.de
- Ignore also Warning: 52 to fix build with ocaml 4.03 (fate#320836)
* Thu Sep  3 2015 mlatimer@suse.com
- Add ia64 and s390/s390x to ExcludeArch
* Wed Jun 24 2015 olaf@aepfle.de
- Remove ppc specific noexec stack code from spec file
* Mon Dec  8 2014 mlatimer@suse.com
- Update spec file to use ocaml-rpm-macros, remove
  ExclusiveArch, and ensure bytecode is built
- Convert to source code to .bz2
* Fri Dec  5 2014 mlatimer@suse.com
- Initial commit using upstream version 1.0.8
